%define packagename python-module-httplib2
%define origname httplib2

%def_with python3

Summary: A comprehensive HTTP client library in Python
Name: %packagename
Version: 0.9.2
Release: alt0.M70C.1
Source0: %origname-%version.tar.gz
License: MIT
Group: Development/Python
URL: http://code.google.com/p/httplib2/
BuildArch: noarch

# See also the 'locater plugin' system httplib2 now allows, and
# https://github.com/dreamhost/httplib2-ca_certs_locater
# It's kind of problematic, though: https://github.com/jcgregorio/httplib2/issues/293
Patch1:         python-httplib2.certfile.patch
Patch2:         python-httplib2.getCertHost.patch
Patch3:         python-httplib2.rfc2459.patch
#
# Fix proxy with plain http
# https://bugzilla.redhat.com/show_bug.cgi?id=857514
# https://github.com/jcgregorio/httplib2/issues/228
# 
Patch4:         python-httplib2-0.9-proxy-http.patch
#
# Fix for python2 invalid ssl cert hostname on second run
# https://bugzilla.redhat.com/show_bug.cgi?id=958638
#
Patch5:         python-httplib2-0.9-cve-2013-2037.patch

# Automatically added by buildreq on Sat Apr 05 2008
BuildRequires: python-devel
%if_with python3
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel
%endif

%description
A comprehensive HTTP client library that supports many features left out
of other HTTP libraries.

%if_with python3
%package -n python3-module-%origname
Summary: A comprehensive HTTP client library in Python 3
Group: Development/Python3

%description -n python3-module-%origname
A comprehensive HTTP client library that supports many features left out
of other HTTP libraries.
%endif

%prep
%setup  -n %origname-%version
%patch1 -p1 -b .certfile
%patch2 -p0 -b .getCertHost
%patch3 -p0 -b .rfc2459
%patch4 -p1
%patch5 -p1

%if_with python3
rm -rf ../python3
cp -a . ../python3
%endif

%build
%python_build
%if_with python3
pushd ../python3
%python3_build
popd
%endif

%install
%python_install
%if_with python3
pushd ../python3
%python3_install
popd
%endif


%files
#doc CHANGELOG *.html *.md doc/html
%python_sitelibdir/%origname/
%python_sitelibdir/*.egg-info

%if_with python3
%files -n python3-module-%origname
#doc CHANGELOG *.html *.md doc/html
%python3_sitelibdir/*
%endif


%changelog
* Mon Nov 14 2016 Lenar Shakirov <snejok@altlinux.ru> 0.9.2-alt0.M70C.1
- Backport to C7

* Mon Nov 14 2016 Lenar Shakirov <snejok@altlinux.ru> 0.9.2-alt0.M80P.1
- Backport to P8

* Mon Nov 14 2016 Lenar Shakirov <snejok@altlinux.ru> 0.9.2-alt1
- Version 0.9.2

* Sun Mar 13 2016 Ivan Zakharyaschev <imz@altlinux.org> 0.9.1-alt1.1
- (NMU) rebuild with rpm-build-python3-0.1.9
  (for common python3/site-packages/ and auto python3.3-ABI dep when needed)

* Sun Aug 16 2015 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.9.1-alt1
- Version 0.9.1

* Thu Aug 21 2014 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.9-alt1
- Version 0.9

* Tue Dec 03 2013 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.8-alt1
- Version 0.8

* Sun Mar 24 2013 Aleksey Avdeev <solo@altlinux.ru> 0.7.7-alt1.1
- Rebuild with Python-3.3

* Thu Feb 14 2013 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.7.7-alt1
- Version 0.7.7

* Mon Jun 11 2012 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.7.4-alt1
- Version 0.7.4

* Sat May 26 2012 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.7.0-alt1
- Version 0.7.0
- Added module for Python 3

* Mon Oct 24 2011 Vitaly Kuznetsov <vitty@altlinux.ru> 0.5.0-alt1.1.1
- Rebuild with Python-2.7

* Fri Nov 13 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.5.0-alt1.1
- Rebuilt with python 2.6

* Mon Sep 28 2009 Mikhail Pokidko <pma@altlinux.org> 0.5.0-alt1
- Building 0.5.0-alt instead of 0.4.0-alt2. Version up + fixed packaging errors.

* Mon Sep 28 2009 Mikhail Pokidko <pma@altlinux.org> 0.4.0-alt2
- Fixing packaging errors.

* Wed Oct 08 2008 Mikhail Pokidko <pma@altlinux.org> 0.4.0-alt1
- Initial ALT build


